# Uses of Interface
org.osgi.framework.FrameworkListener

Packages that use FrameworkListener
Package
Description
org.apache.felix.framework
org.osgi.framework
Framework Package Version 1.8.
org.osgi.framework.launch
Framework Launch Package Version 1.2.
org.osgi.framework.startlevel
Framework Start Level Package Version 1.0.
org.osgi.framework.wiring
Framework Wiring Package Version 1.2.

## Uses of FrameworkListener in org.apache.felix.framework

Methods in org.apache.felix.framework with parameters of type FrameworkListener
Modifier and Type
Method
Description
`void`
Felix.`init(FrameworkListener... listeners)`

## Uses of FrameworkListener in org.osgi.framework

Methods in org.osgi.framework with parameters of type FrameworkListener
Modifier and Type
Method
Description
`void`
BundleContext.`addFrameworkListener(FrameworkListener listener)`
Adds the specified `FrameworkListener` object to the context bundle's list of listeners if not already present.
`void`
BundleContext.`removeFrameworkListener(FrameworkListener listener)`
Removes the specified `FrameworkListener` object from the context bundle's list of listeners.

## Uses of FrameworkListener in org.osgi.framework.launch

Methods in org.osgi.framework.launch with parameters of type FrameworkListener
Modifier and Type
Method
Description
`void`
Framework.`init(FrameworkListener... listeners)`
Initialize this Framework.

## Uses of FrameworkListener in org.osgi.framework.startlevel

Methods in org.osgi.framework.startlevel with parameters of type FrameworkListener
Modifier and Type
Method
Description
`void`
FrameworkStartLevel.`setStartLevel(int startlevel, FrameworkListener... listeners)`
Modify the active start level of the Framework and notify when complete.

## Uses of FrameworkListener in org.osgi.framework.wiring

Methods in org.osgi.framework.wiring with parameters of type FrameworkListener
Modifier and Type
Method
Description
`void`
FrameworkWiring.`refreshBundles(Collection<Bundle> bundles, FrameworkListener... listeners)`
Refreshes the specified bundles.